matrix:
  platform:
  - debian11
  - ubuntu2404
  bazel: [7.x, 8.x]
tasks:
  verify_targets:
    name: Verify build targets
    platform: ${{ platform }}
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    - "--copt=-pthread"
    - "--linkopt=-pthread"
    test_flags:
    - '--cxxopt=-std=c++17'
    - '--host_cxxopt=-std=c++17'
    - "--copt=-pthread"
    - "--linkopt=-pthread"
    build_targets:
    - '@universal-robots-client-library//:*'
    test_targets: # only 2 test targets are being used since others use sockets
    - '@universal-robots-client-library//:test_bin_parser'
    - '@universal-robots-client-library//:test_primary_parser'
